#!/bin/sh
# Run a command and if it produces errors put them in an
# error display box, if no errors put output in transcript.
#
# $1 Box title
# $2 -n command to run and its arguments.

trap 'rm -f /tmp/cmd_out.$$; exit 1' 1 2 3 9 15
TITLE="$1"
shift

rm -f /tmp/cmd_out.$$
if $* >/tmp/cmd_out.$$ 2>&1 ; then
    #no errors
    cat /tmp/cmd_out.$$
    rm -f /tmp/cmd_out.$$
    exit 0
fi

# Errors - NYI, should use better clearprompt options
# Regardless of exit status of clearprompt remove temp file.
if clearprompt text -multi_line -prompt "$TITLE" \
	-dfile /tmp/cmd_out.$$ -outfile /dev/null ; then
    rm -f /tmp/cmd_out.$$
else
    rm -f /tmp/cmd_out.$$
fi


# exit with error when orig command failed
exit 1
